| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ScriptTranslator Class Referenceabstract
Core » General

This class translates script AST (abstract syntax tree) into Ogre resources. More...

`#include <OgreScriptTranslator.h>`

Inheritance diagram for Ogre::ScriptTranslator:
[legend]

## Public Member Functions
virtual void | translate (ScriptCompiler *compiler, const AbstractNodePtr &node)=0
| This function translates the given node into Ogre resource(s). More...

## Detailed Description

This class translates script AST (abstract syntax tree) into Ogre resources.

It defines a common interface for subclasses which perform the actual translation.

## Member Function Documentation

## ◆ translate()

virtual void Ogre::ScriptTranslator::translate | ( | ScriptCompiler * | compiler,
|  | const AbstractNodePtr & | node
| ) |  |
| pure virtual

This function translates the given node into Ogre resource(s).

Parameters

  compiler | The compiler invoking this translator
  node | The current AST node to be translated

Implemented in Ogre::RTShader::SGScriptTranslator, and Ogre::FontTranslator.

The documentation for this class was generated from the following file:

- OgreScriptTranslator.h